Bug 198142 - eth1 got renamed to "dev1804289383" on boot
eth1 got renamed to "dev1804289383" on boot
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-07-10 06:20 EDT by Mary Ellen Foster
Modified: 2014-03-16 23:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-09 11:45:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2006-07-10 06:20:20 EDT
Description of problem:
When I booted this morning, I had no eth1 (wireless) device; instead, I had a
weird device called "dev1804289383". /sbin/iwconfig showed this device instead
of eth1, and when I started system-config-network, it showed "eth1" as inactive
even though I was on the network.

Unfortunately, this was early in the morning, and I didn't have time to check
things out too thoroughly, and when I booted again later in the morning "eth1"
was back again. I still have the /var/log/messages file showing this weird
device, which as far as I can tell behaved exactly like the normal eth1 wrt.
DHCP and so on.

I'm assigning this to initscripts because I've never seen this before, and
initscripts is the only thing that got updated on my system yesterday.

Version-Release number of selected component (if applicable):

How reproducible:
Not so far; when I rebooted after seeing these symptoms, it came back to normal.
Comment 1 Jarod Wilson 2006-07-10 11:36:13 EDT
initscripts-8.31.5-1 was just released over the weekend to address this and
similar issues, meaning you just upgraded and I'm guessing you won't be able to
reproduce the problem. Closing bug for now on that basis, but if you can
reproduce again, request it to be reopened.
Comment 2 Mary Ellen Foster 2006-07-10 11:49:01 EDT
Okay, unless it happens again I'm fine with the bug being closed. However, I'm
pretty sure this happened *after* I had already updated to the new initscripts;
according to my logs, the initscripts update happened on Saturday morning, I
booted once more after the update on Saturday and twice on Sunday (it's a
laptop), and this weirdness happened on my first boot on Monday morning.
Comment 3 Jarod Wilson 2006-07-10 12:49:36 EDT
I had a suspicion that might be the case after re-reading your original post.
I've seen similar NIC naming oddities in the past when changing out one NIC for
another, but they all seemed to go away once ifcfg-ethX files were appropriately
updated, so you might double-check that you have HWADDR set in
/etc/sysconfig/network-scripts/ifcfg-ethX (as well as the correct 'alias ethX
driver' lines in /etc/modprobe.conf). In any case, definitely let us know if you
see the problem again.
Comment 4 Bill Nottingham 2006-07-10 16:15:25 EDT
If you do see it again, please attach /etc/sysconfig/network-scripts/ifcfg-eth*.
Comment 5 Bill Nottingham 2006-11-09 11:45:56 EST
Closing for the moment ; please reopen if it reoccurs.

Note You need to log in before you can comment on or make changes to this bug.